<?php
echo 'Uninstalling freepbx-Phonemiddleware.<br>';
//delete config file and www folder
try {
	//same paths as install.php and phonemiddleware.php
	if (!deleteDir($_SERVER['DOCUMENT_ROOT'].'/phoneMiddleware')) echo 'Unable to delete www module folder. Try to delete it manually to completely remove the module.<br>';
	if (!unlink($_SERVER['DOCUMENT_ROOT'].'/phonemiddleware')) echo 'Unable to delete symlink to www folder. Try to delete it manually to completely remove the module.<br>';
	if (!deleteDir(sys_get_temp_dir().'/phonemiddleware')) echo 'Unable to delete cache folder (will get deleted after a reboot, no worry).<br>';
}
catch (Exception $e) {
	//ignored
}

function deleteDir($dirPath) {
	if (!is_dir($dirPath)) throw new InvalidArgumentException("$dirPath must be a directory");
	if (substr($dirPath, strlen($dirPath) - 1, 1) != '/') $dirPath .= '/';

	$files = glob($dirPath . '{,.}[!.,!..]*', GLOB_MARK|GLOB_BRACE);

	foreach ($files as $file) {
		if (is_dir($file)) deleteDir($file);
		else unlink($file);
	}
	return rmdir($dirPath);
}
?>
